Summary:       Finds duplicate files in a given set of directories
Name:          fdupes
Version:       2.2.1
Release:       4%{?dist}
License:       MIT
URL:           https://github.com/adrianlopezroche/%{name}
Source0:       %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:       macros.%{name}
Source2:       LICENSE

BuildRequires: autoconf automake gcc make ncurses-devel pcre2-devel

%description
FDUPES is a program for identifying duplicate files residing within specified directories.

%prep
%autosetup -n %{name}-%{version} -p1
cp %{SOURCE2} .

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_rpmconfigdir}/macros.d/macros.%{name}

%check
./%{name} testdir
./%{name} --omitfirst testdir
./%{name} --recurse testdir
./%{name} --size testdir

%files
%license CONTRIBUTORS LICENSE
%doc CHANGES README
%{_bindir}/%{name}
%{_rpmconfigdir}/macros.d/macros.fdupes
%{_mandir}/man1/%{name}.1*
%{_mandir}/man7/%{name}*.7*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 2.2.1-1
- initial build
